Summary: Adds daily flexbackup backup to tape to e-smith
%define name e-smith-flexbackup
Name: %{name}
%define version 1.9.0
%define release 01
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base, flexbackup, dump
Requires: e-smith-backup >= 1.11.0-46
AutoReqProv: no

%description
This package configures flexbackup and sets up a daily cron job
to run a backup to tape.

%changelog
* Sun Jan 16 2005 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Changing version to development stream number - 1.9.0

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to stable stream number to 1.8.0

* Thu Jun 19 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-07]
- Enable buffering using "buffer" rather than "mbuffer". [charlieb 9053]

* Wed Jun 18 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-06]
- Autodetect tar/dump at restore time and DTRT. [charlieb 8965]
- Disable buffering during restore. [charlieb 9053]

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-05]
- Change default backup type from dump to tar. Allow override from config
  db. [charlieb 8965]

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-04]
- Fix quoting error in 10Blocksize fragment, and split concepts of blocking
  for archive and blocking for tape drive, as latest flexbackup has done.
  [charlieb 9014]

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-03]
- Add tape-backup-flexbackup action, which will be used by
  /sbin/e-smith/do_backup harness. Remove remnant of templated backup
  program. [charlieb 7853]
- Set $verbose to false, so we don't get list of all files as we backup.
  [charlieb 8965]

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-02]
- Port configuration to newest version of flexbackup. [charlieb 9014]
- s/Copyright/License/.

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-01]
- Roll new development stream to 1.7.1

* Thu Jun 12 2003 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-04]
- Allow blocksize to be controlled by a db parameter. [charlieb 9017]

* Fri May 16 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.7.0-03]
- Modified tape-restore-flexbackup to use esmith::Backup library [gordonr 8766]

* Wed Apr 16 2003 Tony Clayton <apc@e-smith.com>
- [1.7.0-02]
- Skip loopback filesystems during backup [tonyc 7749]

* Wed Nov  6 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Rolling development stream version to 1.7.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Fri Aug  9 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.2-01]
- Redo last fix, something's awry with my pattern match, so we'll use a
  pair of eqs instead. [charlieb 4588]

* Fri Aug  9 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.1-01]
- Change fstab grok in flexbackup.conf template to handle ext3 file
  systems. [charlieb 4588]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- Changing version to maintained stream number to 1.5.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Changing version to maintained stream number to 1.4.0
- Remove bogus "/sbin/console" reference in copyright notice in 
  tape restore script.

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.3-01]
- RPM rebuild forced by cvsroot2rpm

* Sun Mar 17 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.2-01]
- Restore /root rather than just /root/.ssh. [charlieb #2322]

* Sun Mar 17 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-01]
- Test build to verify CVS conversion.

* Sun Mar 17 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-08.
- Add mkdir command to create event directories to %pre section, in preparation
  for CVS conversion.
- Remove obsolete %post script.

* Fri Nov 02 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-08]
- Remove all comments from /etc/flexbackup.conf

* Fri Aug 17 2001 gordonr
- [1.2.0-07]
- Autorebuild by rebuildRPM

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-06]
- Changed license to GPL

* Mon Feb 12 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-05]
- rolling release number for GPG signing.

* Sun Feb 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-04]
- Include etc/e-smith/templates-user-custom in restore fileset.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Thu Feb 8 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-02]
- Using correct path for /flexbackup.extract.log in email messages.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-10.

* Wed Jan 24 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-10]
- Removed duplicated filesystem code from 10Compression template fragment

* Tue Jan 23 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-09]
- Forced padding of blocks when writing to tapes

* Sat Jan 13 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-08]
- revised order of files to restore - doesn't really make any
  difference, but it keeps it consistent with e-smith-backup

- [1.1.0-07]
- added missing use esmith::db to tape-restore-flexbackup

* Sat Jan 13 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-06]
- tape-restore-flexbackup now send mail to admin on success or failure

* Fri Jan 12 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-05]
- Added flexbackup specific tape-restore program (ripped out of
  e-smith-backup).
- Removes /etc/cron.d/flexbackup as part of bootstrap-console-save
- Createlinks is now a perl program.

* Fri Jan 12 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-4]
- Fix silly syntax errors in template
- Migrate old flexbackup service entry to new.

* Fri Jan 12 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-3]
- Make e-smith-flexbackup a subpackage of e-smith-backup
- Provide a template fragment for /sbin/e-smith/backup
- Use Device property of backup service.
- Mark flexbackup as a backupservice, not a service.
- Add link into bootstrap-console-save and conf-backup events

* Thu Jan 11 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-02]
- Ensured that /sbin is included in $PATH for flexbackup cron job

* Tue Jan 9 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- Rolled version number to 1.1.0-01. Includes patches upto 0.1-11

* Mon Jan 8 2001 Peter Samuel <peters@e-smith.com>
- [0.1-11]
- Cron job now rewinds the tape after the backup

* Sat Jan 6 2001 Jason Miller <jmiller@e-smith.com>
- [0.1-9]
- updated /etc/cron.d/flexbackup template and the conf-flexbackup
  actions to include new configuration database parameters
  of backupTime and reminderTime

* Sat Jan 6 2001 Charlie Brady <charlieb@e-smith.com>
- [0.1-8]
- Only run %post sript when in runlevel 7

* Wed Jan 3 2001 Peter Samuel <peters@e-smith.com>
- [0.1-7]
- Added use esmith::db to /etc/cron.d/flexbackup template

* Wed Dec 27 2000 Peter Samuel <peters@e-smith.com>
- [0.1-6]
- Crontab entry now uses mt to check for presence of tape before
  running flexbackup.
- A reminder is mailed to root if there is no tape in the drive at 2pm.

* Thu Dec 14 2000 Charlie Brady <charlieb@e-smith.com>
- Move crontab entry to /etc/cron.d
- Make device and erase_backup_only configurable.
- make this a service in the configuration db, by default service is
  disabled.

* Tue Dec 12 2000 Charlie Brady <charlieb@e-smith.com>
- Make flexbackup.conf a directory template
- Tweak a few settings - see patch for details.

* Mon May 22 2000 Charlie Brady <charlieb@e-smith.net>
- Generate file system list from /etc/fstab
- Fix missing %conf declaration in action script

* Mon May 22 2000 Charlie Brady <charlieb@e-smith.net>
- Fix spec file to include all relevant files
- Fix post script : cron -> crond

* Sun May 14 2000 Charlie Brady <charlieb@e-smith.net>
- Initial build

%prep
%setup
mkdir -p root/etc/e-smith/events/restore-tape
mkdir -p root/etc/e-smith/events/console-save
mkdir -p root/etc/e-smith/events/conf-backup
mkdir -p root/etc/e-smith/events/bootstrap-console-save

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%post

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
